Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 600168 - Installer does not find the Fedora DVD in the DVD drive
Installer does not find the Fedora DVD in the DVD drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 00:52 EDT by iitm07-golf
Modified: 2011-06-27 13:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp files, #1 (4.17 KB, text/plain)
2010-06-10 03:37 EDT, iitm07-golf
no flags Details
/tmp files #2 (345 bytes, application/octet-stream)
2010-06-10 03:38 EDT, iitm07-golf
no flags Details
/tmp files #3 (773 bytes, application/octet-stream)
2010-06-10 03:39 EDT, iitm07-golf
no flags Details
/tmp files #4 (2.32 KB, application/octet-stream)
2010-06-10 03:40 EDT, iitm07-golf
no flags Details
/tmp files #5 (47.75 KB, text/plain)
2010-06-10 03:41 EDT, iitm07-golf
no flags Details
/tmp files #6 (46.69 KB, application/octet-stream)
2010-06-10 03:42 EDT, iitm07-golf
no flags Details
/tmp files #7 (251 bytes, application/octet-stream)
2010-06-10 03:43 EDT, iitm07-golf
no flags Details
/tmp files #8 (235 bytes, application/octet-stream)
2010-06-10 03:44 EDT, iitm07-golf
no flags Details

  None (edit)
Description iitm07-golf 2010-06-04 00:52:28 EDT
Description of problem:  Installing from a Fedora DVD.  After booting from the DVD, the installer asks for the location of the installation image.  On selecting CD/DVD, the installer does not find the DVD.  My computer has a CD-ROM drive and a DVD (read/write) drive.  I believe the CD-ROM drive is on the Primary IDE controller, and the DVD drive is on the Secondary controller.

Or, the CD-ROM drive is the Master and the DVD drive is the Slave on the same controller.

I am quite confident that if I remove the CD-ROM drive, the installation will work - BUT, I shouldn't have to do that, don't you think?

I've had this problem with Fedora 8 as well, so this has been going on for a long time.


Version-Release number of selected component (if applicable):


How reproducible:  Every time


Steps to Reproduce:
1.  Boot from Fedora installation DVD
2.  Select CD/DVD drive to install from
3.
  
Actual results:  cannot find the DVD.  Prompts to insert the DVD and click OK.


Expected results:  What do you think!


Additional info:
Comment 1 iitm07-golf 2010-06-05 21:00:08 EDT
Some Updates:

I opened the box and noted the following:
IDE Drive 0: hard drive (target for Fedora installation)
IDE Drive 1: multi-partitions (Ubuntu, Ubuntu Swap, NTFS Data, etc.)
IDE Drive 2: DVD-RW (Master)
IDE Drive 3: CD-ROM (Slave)

Plus: a SCSI drive containing Windows NT Server.

As reported, this does not work.

I removed the cable from the CD-ROM drive, and the Fedora installer is able to find the installation DVD (just as I suspected)!  Installation is in progress currently.
-------------
Comment 2 Martin Sivák 2010-06-08 09:47:37 EDT
Hi,

Can you please reproduce this and use network install when asked to select installation source? When the GUI starts, do Ctrl-Alt-F2 and you will get shell. Then we are interested in /tmp/anaconda.log and other files (dmesg, syslog). You can use ssh/scp to copy them to another box. Or mount a pen flash drive and copy them there..

We need those files to pinpoint the exact place of the issue.

Thanks.
Comment 3 iitm07-golf 2010-06-08 22:16:30 EDT
(In reply to comment #2)

I have never used network install, so I don't know what it entails.  However, this is what I tried with the CD-ROM and DVD drives in place as originally, though it does not get you the information you want.

1.  Insert Fedora DVD in the DVD drive and power on.  The BIOS is set to boot up from a CD or DVD (if present and bootable).
2.  After the installer is loaded and running, select US for language and US for keyboard.
3.  The next displayed screen is 'Select Partition'.  (note: the DVD was not detected and the installer went directly to this screen!).  Click Back.
4.  Installation Method screen. Select Local CD/DVD and click OK.
5.  Disc Not Found dialog box.  Click OK.
6.  Installation Method screen.  Select NFS Directory, and click OK.
7.  Configure TCP/IP screen.  Click OK.  After the NetworkManager configures eth0, the loader prompts for NFS server name, Fedora directory and NFS mount options (optional).  I don't know what to enter, so I navigated back to Installation Method.
8.  Selected URL choice and clicked OK.  Installer prompts for the URL, and I don't know what to enter.

If you can give me very detailed instructions (such as the above), I'll be glad to follow them and get you the log files you need.  Please remember I am a novice at Fedora and system level work, so I don't know how to mount a pen drive within shell, nor do I know how to run/use ssh/scp.

Alternately, if you can send me the source files for Anaconda, I may be able to debug this problem just be reviewing the source code.  I believe this problem is very well defined already to do this.  Please send by email or refer me to their location on the DVD, because I have no idea how to get them from repositories on the Internet.
Comment 4 Martin Sivák 2010-06-09 03:30:26 EDT
Hi,

> Alternately, if you can send me the source files for Anaconda, I may be able to
> debug this problem just be reviewing the source code.  I believe this problem
> is very well defined already to do this. 

Unfortunately it isn't, we do not know the reason why the dvd rom wasn't found - it may have been missed by udev rules or the media detection may have failed or the tray state detection, or mounting... there are lots of places we could have problem at.

The source code is available in our git repository at:

http://git.fedorahosted.org/git/?p=anaconda.git;a=shortlog;h=refs/heads/f13-branch

Anyways, to get the logs:

When you go back from CD not found, use url based install with this url:

http://mirrors.kernel.org/fedora/releases/13/Fedora/x86_64/os/

you should get graphical mode after a while (about 100MB of download).

Then press Ctrl-Alt-F2 and you will get into shell. Insert the pen drive, wait a couple of secs and type (without the quotes) "dmesg", it should show you something similar to:

usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 11:0:0:0: Direct-Access     3SYSTEM  USB FLASH DISK   1.00 PQ: 0 ANSI: 2
sd 11:0:0:0: Attached scsi generic sg2 type 0
sd 11:0:0:0: [sdb] 256000 512-byte logical blocks: (131 MB/125 MiB)
sd 11:0:0:0: [sdb] Write Protect is off
sd 11:0:0:0: [sdb] Mode Sense: 0b 00 00 08
sd 11:0:0:0: [sdb] Assuming drive cache: write through
sd 11:0:0:0: [sdb] Assuming drive cache: write through
 sdb: sdb1
sd 11:0:0:0: [sdb] Assuming drive cache: write through
sd 11:0:0:0: [sdb] Attached SCSI removable disk

Look at the line which says "sdb: sdb1" (the "b" may be another letter). This is the partition layout of the drive.

Then do this (sdb1 is the partition we want to access):

mkdir /pen
mount /dev/sdb1 /pen
cp -r /tmp/* /pen
umount /pen

This will copy everything we have available about the state of the install to the pen drive. When it returns to the shell, just unplug the pen drive, plug it somewhere else and attach the log files to this bugzilla please.
Comment 5 iitm07-golf 2010-06-10 03:37:33 EDT
Created attachment 422801 [details]
/tmp files, #1
Comment 6 iitm07-golf 2010-06-10 03:38:13 EDT
Created attachment 422802 [details]
/tmp files #2
Comment 7 iitm07-golf 2010-06-10 03:39:55 EDT
Created attachment 422804 [details]
/tmp files #3
Comment 8 iitm07-golf 2010-06-10 03:40:30 EDT
Created attachment 422805 [details]
/tmp files #4
Comment 9 iitm07-golf 2010-06-10 03:41:17 EDT
Created attachment 422806 [details]
/tmp files #5
Comment 10 iitm07-golf 2010-06-10 03:42:11 EDT
Created attachment 422807 [details]
/tmp files #6
Comment 11 iitm07-golf 2010-06-10 03:43:34 EDT
Created attachment 422808 [details]
/tmp files #7
Comment 12 iitm07-golf 2010-06-10 03:44:17 EDT
Created attachment 422809 [details]
/tmp files #8
Comment 13 iitm07-golf 2010-06-10 03:51:39 EDT
(In reply to comment #4)
The instructions were perfect: concise, unambiguous and complete.  There were 9 files copied and 3 empty folders.  8 files are attached, though you may not need all of them.  The 9th file is install.img, a 143 MB file which I am sure you will not need.

file #1: anaconda.log
file #2: anaconda-yum.conf
file #3: program.log
file #4: storage.log
file #5: syslog
file #6: X.log
file #7: product-disk.img
file #8: libuser.YoQTB0
Comment 14 Martin Sivák 2010-06-10 05:00:49 EDT
Thanks a lot. I'm still not sure about what caused the error, but are you sure the media and your DVD burner are OK? The following snippets are present in the syslog:

Kernel sees your device just fine..

23:23:10,918 NOTICE kernel:scsi 1:0:0:0: CD-ROM            HP       DVD Writer 1040d EH23 PQ: 0 ANSI: 5
23:23:10,918 INFO kernel: sda:sr0: scsi3-mmc drive: 47x/94x writer dvd-ram cd/rw xa/form2 cdda tray

Anaconda sees both devices too..

23:23:49,180 INFO loader: trying to mount CD device /dev/sr0 on /mnt/stage2
23:23:49,183 INFO loader: drive status is CDS_DISC_OK

But while trying to read from it, something bad happens...

23:23:49,226 INFO kernel:sr 1:0:0:0: [sr0] Unhandled sense code
23:23:49,226 INFO kernel:sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
23:23:49,226 INFO kernel:sr 1:0:0:0: [sr0] Sense Key : Hardware Error [current] 
23:23:49,226 INFO kernel:sr 1:0:0:0: [sr0] Add. Sense: Logical unit communication CRC error (Ultra-DMA/32)
23:23:49,226 INFO kernel:sr 1:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 1d 00 00 01 00
23:23:49,226 ERR kernel:end_request: I/O error, dev sr0, sector 116

And because of the failure, we try the second drive (CDROM, no disc):

23:23:49,228 INFO loader: trying to mount CD device /dev/sr1 on /mnt/stage2
23:23:49,234 INFO loader: drive status is CDS_NO_DISC
Comment 15 iitm07-golf 2010-06-10 15:15:10 EDT
(In reply to comment #14)
> Thanks a lot. I'm still not sure about what caused the error, but are you sure
> the media and your DVD burner are OK? The following snippets are present in the
> syslog:
> 

I am sure about the DVD disc and the DVD RW drive.  Note that the PC's boot program correctly finds the DVD and loads the Fedora loader (every time!).  And note that the Fedora installer (anaconda) finds the the DVD, reads all the modules/files and installs Fedora - every time the CD-ROM drive is disconnected.

Also, in normal operation (Windows, Ubuntu and Fedora), there has never been a problem accessing any CD or DVD disk in this DVD drive.

FYI, the DVD disk was written using this DVD drive (from Ubuntu).

Since the software works with just the DVD drive, the logic is probably correct.  However, since it does not work when a CD-ROM is also present, there is probably a timing problem.  Perhaps a delay between testing for DVD disk presence, and accessing it for data (eg, volume information) will resolve it....  May be ensure the DVD drive is not busy (from the previous command) before issuing the next (eg, Read) command.

If this is too esoteric and not worth resolving, I am OK because I have installed Fedora13 and am progressing forward.  However, this may be symptomatic of a fundamental problem that may show up in other situations.
Comment 16 Bug Zapper 2011-06-02 08:06:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2011-06-27 13:29:39 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.